Package jaxe

# Interface JaxeEditListenerIf

public interface JaxeEditListenerIf
Listener for EditEvents

## Method Summary

Modifier and Type
Method
Description
`Position`
`elementAdded(JaxeEditEvent e, Position pos)`
Method is called when inserting JaxeElements into the document
`void`
`elementRemoved(JaxeEditEvent e)`
Method is called when JaxeElements are removed in the document
`Position`
`prepareAddedElement(Position pos)`
Method is called before inserting JaxeElements into the document
`void`
`textAdded(JaxeEditEvent e)`
Method is called when text is inserted into the document
`void`
`textRemoved(JaxeEditEvent e)`
Method is called when text is removed in the document

## Method Details

### prepareAddedElement

Position prepareAddedElement(Position pos)
Method is called before inserting JaxeElements into the document

Parameters:
  `pos` -

### elementAdded

Position elementAdded(JaxeEditEvent e, Position pos)
Method is called when inserting JaxeElements into the document

Parameters:
  `e` -

### textAdded

void textAdded(JaxeEditEvent e)
Method is called when text is inserted into the document

Parameters:
  `e` -

### elementRemoved

void elementRemoved(JaxeEditEvent e)
Method is called when JaxeElements are removed in the document

Parameters:
  `e` -

### textRemoved

void textRemoved(JaxeEditEvent e)
Method is called when text is removed in the document

Parameters:
  `e` -